org.encog.ml

## Interface MLProperties

- All Superinterfaces:
    MLMethod
  All Known Implementing Classes:
    AbstractPNN, ART, ART1, BAM, BasicML, BasicNetwork, BasicPNN, BasicPopulation, BasicUniverse, BayesianNetwork, BoltzmannMachine, CPN, FreeformNetwork, HiddenMarkovModel, HopfieldNetwork, NEATPopulation, PrgPopulation, RBFNetwork, SOM, SVM, ThermalNetwork

      public interface MLProperties
      extends MLMethod

  Defines a Machine Learning Method that holds properties.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getProperties()`
    `double` | `getPropertyDouble(String name)` Get the specified property as a double.
    `long` | `getPropertyLong(String name)` Get the specified property as a long.
    `String` | `getPropertyString(String name)` Get the specified property as a string.
    `void` | `setProperty(String name, double d)` Set a property as a double.
    `void` | `setProperty(String name, long l)` Set a property as a long.
    `void` | `setProperty(String name, String value)` Set a property as a double.
    `void` | `updateProperties()` Update any objeccts when a property changes.

- - ### Method Detail

    - #### getProperties

          Map<String,String> getProperties()

      Returns:
        A map of all properties.

    - #### getPropertyDouble

          double getPropertyDouble(String name)

      Get the specified property as a double.
      Parameters:
        `name` - The name of the property.
      Returns:
        The property as a double.

    - #### getPropertyLong

          long getPropertyLong(String name)

      Get the specified property as a long.
      Parameters:
        `name` - The name of the specified property.
      Returns:
        The value of the specified property.

    - #### getPropertyString

          String getPropertyString(String name)

      Get the specified property as a string.
      Parameters:
        `name` - The name of the property.
      Returns:
        The value of the property.

    - #### setProperty

          void setProperty(String name,
                         double d)

      Set a property as a double.
      Parameters:
        `name` - The name of the property.
        `d` - The value of the property.

    - #### setProperty

          void setProperty(String name,
                         long l)

      Set a property as a long.
      Parameters:
        `name` - The name of the property.
        `l` - The value of the property.

    - #### setProperty

          void setProperty(String name,
                         String value)

      Set a property as a double.
      Parameters:
        `name` - The name of the property.
        `value` - The value of the property.

    - #### updateProperties

          void updateProperties()

      Update any objeccts when a property changes.

Copyright © 2014. All Rights Reserved.